BimpHelp

Production orders: Bimp API methods

Bimp API methods for the “Production orders” resource (/org2/production-order/…): 6 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/production-order/api-readA request to obtain detailed information for a particular production order
POST /org2/production-order/api-readListA request to view a list of production orders
POST /org2/production-order/api-createA request to create a new production order
POST /org2/production-order/api-updateA request to update an existing production order
POST /org2/production-order/api-readStatusesA request to retrieve the available statuses for a production order document
POST /org2/production-order/api-cancelCancel a production order document

api-read

POST /org2/production-order/api-read

A request to obtain detailed information for a particular production order

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the Production order document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Production order document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringProduction number
commentstringAn optional text field for any additional notes or comments related to the document
namestringProduction order name
baseDocumentstring (uuid)A unique identifier for the Production order document, obtainable from the /production-order/api-readList request
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
startDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
finishDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
statusstring (uuid)A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request
distributionTypenumber (0) | number (1)Cost distribution type code
archivedbooleanWhether the production order is archived
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]An array of product objects, representing the nomenclatures included in the document
products[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberThe amount of items
products[].pricenumberThe price of the item/document
products[].totalSumnumberThe sum of the document
products[].orderstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].uniqueIdstringRow unique id of the product line
products[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
products[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
products[].costSharenumberCost share
products[].commentstringAn optional text field for any additional notes or comments related to the document
products[].reservenumberThe amount of the product that has been reserved
materialsobject[]Materials required for production
materials[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materials[].quantitynumberThe amount of items
materials[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materials[].pricenumberThe price of the item/document
materials[].totalSumnumberThe sum of the document
materials[].reservenumberThe amount of the product that has been reserved
materials[].stockBalancenumberStock balance on the warehouse
materials[].readyQuantitynumberQuantity of the finished product
materials[].specificationQuantitynumberQuantity in the specification
materials[].uniqueIdstringRow unique id of the material line
materials[].relatesTostringuniqueId of the related product line
materials[].stageIdstringuniqueId of the related production stage
materials[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materials[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materials[].batchobject | nullMaterial batch / lot
materials[].supplierobject | nullA unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request
materials[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
materials[].analogWriteOffMethodnumberMethod of writing off analogs
operationTypenumberProduction operation type code
operationKindnumberProduction operation kind code
createProductionOrdersForMaterialsbooleanCreate production orders for materials automatically
documentTypestringDocument type code
withoutSpecificationbooleanWhether the order is without a specification
productionTypenumber (0) | number (1) | number (2)Production type: 0 — own production, 1 — external tolling, 2 — own tolling
unfulfilledCountnumberCount of unfulfilled items
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
banDatestring | nullDocument ban date, if posting is restricted
banUpsertbooleanWhether upsert of the document is banned
productionStagesobject[]Production stages of the order
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].relatesTostringuniqueId of the related product line
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionOperationsobject[]Production operations of the order
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].nomenclatureobject | nullA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
productionOperations[].characteristicobject | nullNomenclature characteristic reference
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation

The full list of fields is in the interactive documentation.

curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/production-order/api-readList

A request to view a list of production orders

Request body (JSON)

FieldTypeRequiredDescription
paginationobjectyes
pagination.offsetnumberyesBegin from {offset} elements
pagination.countnumberyesLimit of paginated elemets
filtersobject
filters.createdstring[]Filter by creation date range [date1, date2]
filters.updatedstring[]Filter by update date range [date1, date2]

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for the Production order document
[].namestringProduction order name
[].commentstringAn optional text field for any additional notes or comments related to the document
[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].numberstringProduction number
[].statusstring (uuid)A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request
[].manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
[].startDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].finishDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
[].responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
[].productsobject[]
[].products[].nomenclaturestring (uuid)A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
[].products[].namestringNomenclature name
[].products[].articlestringNomenclature article
[].products[].skustringNomenclature SKU
[].products[].quantitynumberThe amount of items
[].products[].pricenumberThe price of the item/document
[].products[].sumnumberThe sum of the document
[].products[].reservenumberThe amount of the product that has been reserved
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-create

POST /org2/production-order/api-create

A request to create a new production order

Request body (JSON)

FieldTypeRequiredDescription
startDatestringyesThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
finishDatestringyesThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringProduction number
commentstringAn optional text field for any additional notes or comments related to the document
manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
statusstring (uuid)A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request
baseDocumentstring (uuid)A unique identifier for the Production order document, obtainable from the /production-order/api-readList request
operationTypenumberProduction operation type code
operationKindnumberProduction operation kind code
createProductionOrdersForMaterialsbooleanCreate production orders for materials automatically
documentTypestringDocument type code
withoutSpecificationbooleanWhether the order is without a specification
productionTypenumber (0) | number (1) | number (2)Production type: 0 — own production, 1 — external tolling, 2 — own tolling
unfulfilledCountnumberCount of unfulfilled items
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
archivedbooleanWhether the production order is archived
distributionTypenumber (0) | number (1)Cost distribution type code
banDatestring | nullDocument ban date, if posting is restricted
banUpsertbooleanWhether upsert of the document is banned
productionStagesobject[]Production stages of the order
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].relatesTostringuniqueId of the related product line
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionOperationsobject[]Production operations of the order
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].nomenclatureobject | nullA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
productionOperations[].characteristicobject | nullNomenclature characteristic reference
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation
operationDependencies[].previousOperationstringPrevious operation identifier
materialsobject[]Materials required for production
materials[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materials[].quantitynumberyesThe amount of items
materials[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materials[].pricenumberyesThe price of the item/document
materials[].totalSumnumberyesThe sum of the document
materials[].reservenumberThe amount of the product that has been reserved
materials[].stockBalancenumberStock balance on the warehouse
materials[].readyQuantitynumberQuantity of the finished product
materials[].specificationQuantitynumberQuantity in the specification
materials[].uniqueIdstringRow unique id of the material line
materials[].relatesTostringuniqueId of the related product line
materials[].stageIdstringuniqueId of the related production stage
materials[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materials[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materials[].batchobject | nullMaterial batch / lot
materials[].supplierobject | nullA unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request
materials[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
materials[].analogWriteOffMethodnumberMethod of writing off analogs
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]yesAn array of product objects, representing the nomenclatures included in the document
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberyesThe amount of items
products[].specificationstring (uuid)yesA unique identifier for the Specification, obtainable from the /specification/api-readList request
products[].orderstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].uniqueIdstringRow unique id of the product line
products[].pricenumberThe price of the item/document
products[].totalSumnumberThe sum of the document
products[].costSharenumberCost share
products[].commentstringAn optional text field for any additional notes or comments related to the document
products[].reservenumberThe amount of the product that has been reserved
products[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Production order document
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"startDate":"string","finishDate":"string","products":[{}]}'

api-update

POST /org2/production-order/api-update

A request to update an existing production order

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the production order document to update
startDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
finishDatestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
responsiblestring (uuid)A unique identifier for the Employee, obtainable from the /employee/api-readList request
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstringProduction number
commentstringAn optional text field for any additional notes or comments related to the document
manufacturerstring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
statusstring (uuid)A unique identifier for the Production order status, obtainable from the /production-order/api-readStatuses request
baseDocumentstring (uuid)A unique identifier for the Production order document, obtainable from the /production-order/api-readList request
operationTypenumberProduction operation type code
operationKindnumberProduction operation kind code
createProductionOrdersForMaterialsbooleanCreate production orders for materials automatically
documentTypestringDocument type code
withoutSpecificationbooleanWhether the order is without a specification
productionTypenumber (0) | number (1) | number (2)Production type: 0 — own production, 1 — external tolling, 2 — own tolling
unfulfilledCountnumberCount of unfulfilled items
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
projectstring (uuid)A unique identifier for the Project, obtainable from the /project/api-readList request
lineOfBusinessstring (uuid)A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request
archivedbooleanWhether the production order is archived
distributionTypenumber (0) | number (1)Cost distribution type code
banDatestring | nullDocument ban date, if posting is restricted
banUpsertbooleanWhether upsert of the document is banned
productionStagesobject[]Production stages of the order
productionStages[].uniqueIdstringRow unique id of the production stage
productionStages[].relatesTostringuniqueId of the related product line
productionStages[].stageobject | nullProduction stage catalog reference
productionStages[].prioritynumberStage priority / order
productionStages[].quantitynumberThe amount of items
productionStages[].executionTimenumberStage execution time
productionStages[].sumnumberThe sum of the document
productionOperationsobject[]Production operations of the order
productionOperations[].uniqueIdstringRow unique id of the production operation
productionOperations[].relatesTostringuniqueId of the related production stage
productionOperations[].technologicalOperationobject | nullTechnological operation catalog reference
productionOperations[].performerobject | nullA unique identifier for the Employee, obtainable from the /employee/api-readList
productionOperations[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
productionOperations[].executionTimenumberOperation execution time
productionOperations[].quantitynumberThe amount of items
productionOperations[].pricenumberThe price of the item/document
productionOperations[].sumnumberThe sum of the document
productionOperations[].nomenclatureobject | nullA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
productionOperations[].characteristicobject | nullNomenclature characteristic reference
operationDependenciesobject[]Dependencies between production operations
operationDependencies[].uniqueIdstringuniqueId of the dependent production operation
operationDependencies[].relatesTostringuniqueId of the related preceding operation
operationDependencies[].previousOperationstringPrevious operation identifier
materialsobject[]Materials required for production
materials[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
materials[].quantitynumberyesThe amount of items
materials[].warehousestring (uuid)A unique identifier for the Warehouse, obtainable from the /warehouse/api-readList request
materials[].pricenumberyesThe price of the item/document
materials[].totalSumnumberyesThe sum of the document
materials[].reservenumberThe amount of the product that has been reserved
materials[].stockBalancenumberStock balance on the warehouse
materials[].readyQuantitynumberQuantity of the finished product
materials[].specificationQuantitynumberQuantity in the specification
materials[].uniqueIdstringRow unique id of the material line
materials[].relatesTostringuniqueId of the related product line
materials[].stageIdstringuniqueId of the related production stage
materials[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request
materials[].specificationstring (uuid)A unique identifier for the Specification, obtainable from the /specification/api-readList request
materials[].batchobject | nullMaterial batch / lot
materials[].supplierobject | nullA unique identifier for a counterparty of type ‘isSupplier’. You can retrieve this UUID using the /counterparty/api-readList request
materials[].contractobject | nullThe unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request
materials[].analogWriteOffMethodnumberMethod of writing off analogs
counterpartystring (uuid)A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request
productsobject[]An array of product objects, representing the nomenclatures included in the document
products[].nomenclaturestring (uuid)yesA unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request
products[].quantitynumberyesThe amount of items
products[].specificationstring (uuid)yesA unique identifier for the Specification, obtainable from the /specification/api-readList request
products[].orderstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForCustomerPayment/api-readList request
products[].uniqueIdstringRow unique id of the product line
products[].pricenumberThe price of the item/document
products[].totalSumnumberThe sum of the document
products[].costSharenumberCost share
products[].commentstringAn optional text field for any additional notes or comments related to the document
products[].reservenumberThe amount of the product that has been reserved
products[].unitstring (uuid)A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for the Production order document
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readStatuses

POST /org2/production-order/api-readStatuses

A request to retrieve the available statuses for a production order document

Response: data field

FieldTypeDescription
[].uuidstring (uuid)A unique uuid key for the Production order document
[].namestringProduction order name
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-readStatuses' \
  -H 'access-token: <company token>'

api-cancel

POST /org2/production-order/api-cancel

Cancel a production order document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for the production order document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/production-order/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.